Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorDavid Williams2014-05-18 18:43:11 +0000
committerDavid Williams2014-05-18 18:43:11 +0000
commitf8c8e92fbeacfddce290a02cb0d5ce5b7cd1d6bd (patch)
treeea20b3823609d7c8c621b0392067040ac3c9dd63 /production/run-maven-build.sh
parent934047c9e1eb4c853d2610ae60e458aaecff6b67 (diff)
downloadeclipse.platform.releng.aggregator-f8c8e92fbeacfddce290a02cb0d5ce5b7cd1d6bd.tar.gz
eclipse.platform.releng.aggregator-f8c8e92fbeacfddce290a02cb0d5ce5b7cd1d6bd.tar.xz
eclipse.platform.releng.aggregator-f8c8e92fbeacfddce290a02cb0d5ce5b7cd1d6bd.zip
Bug 409076 - establish standard formatting - indentation
Diffstat (limited to 'production/run-maven-build.sh')
-rw-r--r--production/run-maven-build.sh38
1 files changed, 19 insertions, 19 deletions
diff --git a/production/run-maven-build.sh b/production/run-maven-build.sh
index 9a331bbc1..2a5bfb55c 100644
--- a/production/run-maven-build.sh
+++ b/production/run-maven-build.sh
@@ -2,14 +2,14 @@
#
if [ $# -ne 1 ]; then
- echo USAGE: $0 env_file
- exit 1
+ echo USAGE: $0 env_file
+ exit 1
fi
if [ ! -r "$1" ]; then
- echo "$1" cannot be read
- echo USAGE: $0 env_file
- exit 1
+ echo "$1" cannot be read
+ echo USAGE: $0 env_file
+ exit 1
fi
SCRIPT_PATH=${SCRIPT_PATH:-$(pwd)}
@@ -26,7 +26,7 @@ gitCache=$( fn-git-cache "$BUILD_ROOT" "$BRANCH" )
aggDir=$( fn-git-dir "$gitCache" "$AGGREGATOR_REPO" )
if [ -z "$BUILD_ID" ]; then
- BUILD_ID=$(fn-build-id "$BUILD_TYPE" )
+ BUILD_ID=$(fn-build-id "$BUILD_TYPE" )
fi
fn-maven-build-aggregator "$BUILD_ID" "$aggDir" "$LOCAL_REPO" $MVN_DEBUG $MVN_QUIET $SIGNING $MAVEN_BREE
@@ -34,23 +34,23 @@ exitCode=$?
# first make sure exit code is well formed
if [[ -z "${exitCode}" ]]
-then
- echo "exitcode was empty"
- exitrc=0
+then
+ echo "exitcode was empty"
+ exitrc=0
elif [[ "${exitCode}" =~ [0] ]]
then
- echo "exitcode was zero"
- exitrc=0
-elif [[ "${exitCode}" =~ ^-?[0-9]+$ ]]
+ echo "exitcode was zero"
+ exitrc=0
+elif [[ "${exitCode}" =~ ^-?[0-9]+$ ]]
then
- echo "exitcode was a legal, non-zero numeric return code"
- exitrc=$exitCode
- buildDirectory=$( fn-build-dir "$BUILD_ROOT" "$BUILD_ID" "$STREAM" )
- # create as "indicator file" ... gets filled in more once there is a log to grep
- touch "${buildDirectory}/buildFailed-run-maven-build"
+ echo "exitcode was a legal, non-zero numeric return code"
+ exitrc=$exitCode
+ buildDirectory=$( fn-build-dir "$BUILD_ROOT" "$BUILD_ID" "$STREAM" )
+ # create as "indicator file" ... gets filled in more once there is a log to grep
+ touch "${buildDirectory}/buildFailed-run-maven-build"
else
- echo "exitode was not numeric, so will force to 1"
- exitrc=1
+ echo "exitode was not numeric, so will force to 1"
+ exitrc=1
fi
echo "$( basename $0) exiting with exitrc: $exitrc"

Back to the top